package testutils;

import java.io.File;
import java.nio.file.Path;

import org.junit.jupiter.api.BeforeAll;

public class CleanupBeforeTestCase {
	protected static final Path TEST_RESULT_DIR_PATH = Path.of("src/test/resources/results");

	@BeforeAll
	static void setUpBeforeClass() throws Exception {
		File dir = TEST_RESULT_DIR_PATH.toFile();

		for (File f : dir.listFiles()) {
			f.delete();
		}
	}
}
